Package Details: pleroma 2.0.7-1

Git Clone URL: https://aur.archlinux.org/pleroma.git (read-only, click to copy)
Package Base: pleroma
Description: The Pleroma Server (ActivityPub Compatible)
Upstream URL: None
Licenses: AGPL
Conflicts: pleroma-git
Provides: pleroma
Submitter: faye
Maintainer: faye
Last Packager: faye
Votes: 1
Popularity: 0.64
First Submitted: 2020-05-27 22:53
Last Updated: 2020-06-24 21:46

Latest Comments

Thulinma commented on 2020-07-20 20:41

Hey there! Thanks for creating this package. I noticed some issues you might want to address though:

  • It looks like the current version links to ncurses version 5, while Arch currently only provides version 6. As a result, the current version doesn't run in an up-to-date Arch install. You could add a dependency on ncurses5-compat-libs to work around that, but it's cleaner (if feasible) to do a compile from source instead.
  • Your PKGBUILD simply downloads the "latest stable" binaries instead of the specific version you're listing (2.0.7). It should link to the specific version, and then be updated when there is a new release.
  • It doesn't install the service file /opt/pleroma/installation/pleroma.service into the system (e.g. to /usr/lib/systemd/system/), and probably should.

Not complaining here, by the way, just trying to help make the package better. ^_^

faye commented on 2020-06-07 20:44

I moved postgres to be an optional dependency like you said, it makes sense to me why one might host the database somewhere else

djmattyg007 commented on 2020-06-07 02:20

Postgres should be an optional dependency. There's no reason why the database needs to be installed on the same host as the software.